//
//  RNBackgroundImageView.h
//  RNControls
//
//  Created by Mark Eaton on Mon Jan 27 2003.
//  Copyright (c) 2003 RealNetworks, Inc.. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface RNBackgroundImageView : NSView 
{
	NSImage* backgroundImage;
	
	float horizontalSlice;
	float verticalSlice;
	
	NSImage* scaledImage;
	
	float skinOpacity;
	
	BOOL isHilighted;
}

+ (void)setHackForSetNeedsDisplayInRect:(BOOL)doFudgeIt;

- (NSImage*)backgroundImage;
- (void)setBackgroundImage:(NSImage*)image;

- (float)horizontalSlice;
- (void)setHorizontalSlice:(float)slice;

- (float)verticalSlice;
- (void)setVerticalSlice:(float)slice;

- (void)invalidateScaledImage;
- (void)createScaledImage;

- (void)setIsHilighted:(BOOL)hilight;
- (BOOL)isHilighted;

- (void)setSkinOpacity:(float)opacity;
- (float)skinOpacity;

@end
