//
//  RNButton.h
//  RNControls
//

#import <Cocoa/Cocoa.h>

@interface RNButton : NSControl
{
	NSTrackingRectTag trackingRectTag;
}

- (NSString *)title;
- (void)setTitle:(NSString *)aString;

- (void)setDoesTransition:(BOOL)flag;
- (BOOL)doesTransition;

- (void)setIsEnabledInBackground:(BOOL)flag;
- (BOOL)isEnabledInBackground;

- (NSImage *)mouseUpImage;
- (NSImage *)mouseDownImage;
- (NSImage *)mouseOverImage;
- (NSImage *)mouseDisabledImage;

- (NSImage *)mouseToggledUpImage;
- (NSImage *)mouseToggledDownImage;
- (NSImage *)mouseToggledOverImage;
- (NSImage *)mouseToggledDisabledImage;

- (void)setMouseUpImage:(NSImage *)image;
- (void)setMouseDownImage:(NSImage *)image;
- (void)setMouseOverImage:(NSImage *)image;
- (void)setMouseDisabledImage:(NSImage *)image;

- (void)setMouseToggledUpImage:(NSImage *)image;
- (void)setMouseToggledDownImage:(NSImage *)image;
- (void)setMouseToggledOverImage:(NSImage *)image;
- (void)setMouseToggledDisabledImage:(NSImage *)image;

- (BOOL)mouseEntered;
- (void)updateMouseEntered:(BOOL)mouseEntered;
- (BOOL)isMouseInsideMe;
- (void)establishTrackingRect;

- (int)state;
- (void)setState:(int)value;

- (void)windowBecameMain:(NSNotification *)note;
- (void)windowResignedMain:(NSNotification *)note;

@end
