//
//  RNButtonCell.h
//  RNControls
//

#import <Cocoa/Cocoa.h>

@class RNTransitionTimerRelay;
@protocol RNTransitionTimerUser;

@interface RNButtonCell : NSButtonCell < RNTransitionTimerUser >
{
	NSImage * mouseUpImage;
	NSImage * mouseDownImage;
	NSImage * mouseOverImage;
	NSImage * mouseDisabledImage;

	NSImage * mouseToggledUpImage;
	NSImage * mouseToggledDownImage;
	NSImage * mouseToggledOverImage;
	NSImage * mouseToggledDisabledImage;
	
	BOOL doesTransition;
	RNTransitionTimerRelay* transitionTimer;
	NSImage * transitionFromImage;
	double fractionRemainingToTransition;

	BOOL		mouseEntered;
	BOOL		trackingMouse;
	BOOL		isEnabledInBackground;
}

- (void)setIsEnabledInBackground:(BOOL)flag;
- (BOOL)isEnabledInBackground;

- (BOOL)isDrawnDisabled;

- (void)cleanUpTransition;

- (NSImage *)imageForCurrentState;

- (NSImage *)mouseUpImage;
- (NSImage *)mouseDownImage;
- (NSImage *)mouseOverImage;
- (NSImage *)mouseDisabledImage;

- (NSImage *)mouseToggledUpImage;
- (NSImage *)mouseToggledDownImage;
- (NSImage *)mouseToggledOverImage;
- (NSImage *)mouseToggledDisabledImage;

- (void)setMouseUpImage:(NSImage *)image;
- (void)setMouseDownImage:(NSImage *)image;
- (void)setMouseOverImage:(NSImage *)image;
- (void)setMouseDisabledImage:(NSImage *)image;

- (void)setMouseToggledUpImage:(NSImage *)image;
- (void)setMouseToggledDownImage:(NSImage *)image;
- (void)setMouseToggledOverImage:(NSImage *)image;
- (void)setMouseToggledDisabledImage:(NSImage *)image;

- (BOOL)mouseEntered;
- (void)setMouseEntered:(BOOL)flag;
- (void)setTrackingMouse:(BOOL)flag;

- (void)setDoesTransition:(BOOL)flag;
- (BOOL)doesTransition;
@end
