//
//  RNImageView.h
//  RNControls
//
//  Created by Mark Eaton on Thu Feb 20 2003.
//  Copyright (c) 2003 RealNetworks, Inc.. All rights reserved.
//

#import <Foundation/Foundation.h>

NSString* RNAppKitStringForSymbol( NSString* symbolName );
CFTypeRef RNGetDataSymbolFromBundle( CFStringRef symbolName, CFStringRef bundlePath );

@class RNTimerRelay;

@interface RNImageView : NSImageView
{
	RNTimerRelay* timerRelay;
	BOOL animating;
}

- (int)frameCount;
- (int)currentFrame;
- (void)setCurrentFrame:(int)frame;
- (float)currentFrameDuration;
- (void)showNextFrame;

- (void)setAnimating:(BOOL)shouldAnimate;
- (BOOL)animating;

// private
- (void)animationTimerFired:(NSTimer*)timer;

@end
