//
//  RNSlider.h
//  RNControls
//
//  Created by Mark Eaton on Mon Jan 13 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface RNSlider : NSControl
{
	NSTrackingRectTag trackingRectTag;
}

- (double)minValue;
- (void)setMinValue:(double)min;
- (double)maxValue;
- (void)setMaxValue:(double)max;

- (NSImage*)knobImage;
- (NSImage*)knobImageDisabled;
- (NSImage*)knobImageOver;
- (NSImage*)knobImagePressed;

- (NSImage*)trackImageOff;
- (NSImage*)trackImageOn;
- (NSImage*)trackImageDisabled;

- (NSImage*)markImage;
- (NSImage*)markImageDisabled;

- (NSImage*)highlightImage;
- (NSImage*)highlightImageDisabled;

- (void)setKnobImage:(NSImage*)image;
- (void)setKnobImageDisabled:(NSImage*)image;
- (void)setKnobImageOver:(NSImage*)image;
- (void)setKnobImagePressed:(NSImage*)image;

- (void)setTrackImageOff:(NSImage*)image;
- (void)setTrackImageOn:(NSImage*)image;
- (void)setTrackImageDisabled:(NSImage*)image;

- (void)setMarkImage:(NSImage*)image;
- (void)setMarkImageDisabled:(NSImage*)image;

- (void)setHighlightImage:(NSImage*)image;
- (void)setHighlightImageDisabled:(NSImage*)image;

- (double)sliderMark;
- (void)setSliderMark:(double)newMark;

- (double)sliderHighlightStart;
- (double)sliderHighlightEnd;
- (void)setSliderHighlightStart:(double)newHighlightStart end:(double)newHighlightEnd startText:(NSString*)startText endText:(NSString*)endText;

- (BOOL)mouseEntered;
- (void)updateMouseEntered:(BOOL)mouseEntered;
- (BOOL)isMouseInsideMe;
- (void)establishTrackingRect;

@end
