//
//  RNSliderCell.h
//  RNControls
//

#import <Cocoa/Cocoa.h>


@interface RNSliderCell : NSSliderCell 
{
    NSImage*    knobImage;
    NSImage*    knobImageDisabled;
    NSImage*    knobImageOver;
    NSImage*    knobImagePressed;

    NSImage*    trackImageOff;
    NSImage*    trackImageOn;
    NSImage*    trackImageDisabled;

    NSImage*    markImage;
    NSImage*    markImageDisabled;

    NSImage*    highlightImage;
    NSImage*    highlightImageDisabled;

    NSString*   sliderStartText;
    NSString*   sliderEndText;

    BOOL        mouseEntered;
    BOOL        trackingMouse;
    double      mark;
    double      highlightStart;
    double      highlightEnd;
}

- (NSRect)knobRectFlipped:(BOOL)flipped;

- (void)drawBarInside:(NSRect)aRect flipped:(BOOL)flipped;
- (void)drawKnob:(NSRect)knobRect;

- (BOOL)startTrackingAt:(NSPoint)startPoint inView:(NSView *)controlView;
- (void)stopTracking:(NSPoint)lastPoint at:(NSPoint)stopPoint inView:(NSView *)controlView mouseIsUp:(BOOL)flag;

- (BOOL)isDrawnDisabled;

- (NSImage*)knobImageForCurrentState;

- (NSImage*)knobImage;
- (NSImage*)knobImageDisabled;
- (NSImage*)knobImageOver;
- (NSImage*)knobImagePressed;

- (NSImage*)trackImageOff;
- (NSImage*)trackImageOn;
- (NSImage*)trackImageDisabled;

- (NSImage*)markImage;
- (NSImage*)markImageDisabled;

- (NSImage*)highlightImage;
- (NSImage*)highlightImageDisabled;

- (NSString*)sliderStartText;
- (NSString*)sliderEndText;

- (void)setKnobImage:(NSImage*)image;
- (void)setKnobImageDisabled:(NSImage*)image;
- (void)setKnobImageOver:(NSImage*)image;
- (void)setKnobImagePressed:(NSImage*)image;

- (void)setTrackImageOff:(NSImage*)image;
- (void)setTrackImageOn:(NSImage*)image;
- (void)setTrackImageDisabled:(NSImage*)image;

- (void)setMarkImage:(NSImage*)image;
- (void)setMarkImageDisabled:(NSImage*)image;

- (void)setHighlightImage:(NSImage*)image;
- (void)setHighlightImageDisabled:(NSImage*)image;

- (void)setSliderStartText:(NSString*)text;
- (void)setSliderEndText:(NSString*)text;

- (BOOL)mouseEntered;
- (void)setMouseEntered:(BOOL)hasit;

- (double)sliderMark;
- (void)setSliderMark:(double)newMark;

- (double)sliderHighlightStart;
- (double)sliderHighlightEnd;
- (void)setSliderHighlightStart:(double)newHighlightStart end:(double)newHighlightEnd startText:(NSString*)startText endText:(NSString*)endText;

@end
