//
//  RNWindow.h
//  RNControls
//
//  Created by Scott Hancher on Sat Jan 04 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSWindow( RNPanel )
- (void)setFloatingPanel:(BOOL)flag;
@end

@interface RNWindow : NSWindow
{
    BOOL customWindowDragging;
	NSPoint initialMouseDownPt;
	unsigned int nibStyleMask;
	NSButton* standardZoomButton;
	NSTimeInterval timestampOfLastEventSent;
	
@private
	BOOL allowsResizing;
	BOOL isInLiveResize;
	BOOL isFloatingPanel;
	NSRect userFrame; // This is saved in NSWindow's _auxiliaryStorage. Would be nice to use it.
}

- (NSRect)standardFrame;
- (NSImage*)backgroundImage;
- (void)setBackgroundImage:(NSImage*)image;

- (void)createWindowButtons;

- (void)setAllowsResizing:(BOOL)allow;
- (BOOL)allowsResizing;

- (void)willStartLiveResize;
- (BOOL)isInLiveResize;
- (void)didEndLiveResize;

- (NSTimeInterval)timestampOfLastEventSent;

- (void)setFloatingPanel:(BOOL)flag;

@end
